<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
if (isset($_POST['detallado'])){ $detallado=$_POST['detallado'];
if($detallado=='no'	)
{
	if (isset($_POST['art_id_bod'])){$art_id_bod=$_POST['art_id_bod'];}
	if (isset($_POST['art_id'])){$art_id=$_POST['art_id'];}
	if (isset($_POST['art_referencia'])){$art_referencia=$_POST['art_referencia'];}
	if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
	if (isset($_POST['nombre'])){$nombre=$_POST['nombre'];}
	if (isset($_POST['tipoajuste'])){$tipoajuste=$_POST['tipoajuste'];}

	if (!empty($cantidad))
	{
		$atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
		$atri1 = mysqli_fetch_array($atri1);
		$atributo1=$atri1['atributo1'];

		$atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
		$atri11 = mysqli_fetch_array($atri11);
		if (isset($atri11)) 
        {                    
			$atri_nombre=$atri11['atri_nombre'];
		}
		else
		{
			$atri_nombre='';
		}

		$atributo2=$atri1['atributo2'];
		$atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
		$atri2 = mysqli_fetch_array($atri2);
		if (isset($atri2)) 
        {                    
			$atri_nombre2=' - '.$atri2['atri_nombre2'];
		}
		else
		{
			$atri_nombre2='';
		}

		$atributos=$atri_nombre .$atri_nombre2;


		$sqll=mysqli_query($con,"SELECT ajud_art_id FROM ajuste_detalle_temp WHERE art_id_bod='$art_id_bod' and ajud_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='no'") ;
        if($roww=mysqli_fetch_array($sqll))
        { 	
        	$can7=mysqli_query($con,"SELECT * FROM ajuste_detalle_temp WHERE  art_id_bod='$art_id_bod' and ajud_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='no'") or die(mysqli_error($con));  
            while($dato=mysqli_fetch_array($can7))
            {
                $ajud_art_id=$dato['ajud_art_id'];            
                $ajud_cantidad=$dato['ajud_cantidad'];
                $suma=$ajud_cantidad+$cantidad;
            }
            
           	$registros=mysqli_query($con,"UPDATE ajuste_detalle_temp Set ajud_cantidad='$suma',ajud_tipo='$tipoajuste'
           	Where  art_id_bod='$art_id_bod' and ajud_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='no'") or die(mysqli_error($con));
        }
        else
        {   
          	$insert_tmp=mysqli_query($con, "INSERT INTO ajuste_detalle_temp (art_id_bod,ajud_art_id,ajud_referencia,ajud_nombre,ajud_cantidad,ajud_tipo,detallado,usuario,empresa) 
          	VALUES ('$art_id_bod','$art_id','$art_referencia','$nombre $atributos','$cantidad','$tipoajuste','$detallado','$usu_id','$empresa')");
	    }
	}
}
else 
{
	if (isset($_POST['artd_id'])){$art_id=$_POST['artd_id'];}
	if (isset($_POST['artd_referencia'])){$artd_referencia=$_POST['artd_referencia'];}
	if (isset($_POST['nombre'])){$nombre=$_POST['nombre'];}
	if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
	if (isset($_POST['tipoajuste'])){$tipoajuste=$_POST['tipoajuste'];}

	if (!empty($cantidad) and !empty($nombre))
	{
		$sqll=mysqli_query($con,"SELECT ajud_art_id FROM ajuste_detalle_temp WHERE ajud_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='si'") ;
	    if($roww=mysqli_fetch_array($sqll))
        { 	
            $can7=mysqli_query($con,"SELECT * FROM ajuste_detalle_temp WHERE ajud_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='si'") or die(mysqli_error($con));  
                while($dato=mysqli_fetch_array($can7))
                {
                    $ajud_art_id=$dato['ajud_art_id'];            
                    $ajud_cantidad=$dato['ajud_cantidad'];
                    $suma=$ajud_cantidad+$cantidad;
                }
            
           	$registros=mysqli_query($con,"UPDATE ajuste_detalle_temp Set ajud_cantidad='$suma',ajud_tipo='$tipoajuste'
           	Where ajud_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' and detallado='si'") or die(mysqli_error($con));
        }
        else
        {   
          	$insert_tmp=mysqli_query($con, "INSERT INTO ajuste_detalle_temp (art_id_bod,ajud_art_id,ajud_referencia,ajud_nombre,ajud_cantidad,ajud_tipo,detallado,usuario,empresa) 
          	VALUES ('0','$art_id','$artd_referencia','$nombre','$cantidad','$tipoajuste','$detallado','$usu_id','$empresa')");
        }
	}
}}
?>

	<table class="table table-bordered table-hover table-striped">
		<tr>
			<th>CODIGO</th>
			<th>CANTIDAD</th>
			<th>DESCRIPCION</th>
			<th><span class="pull-right">TIPO DE AJUSTE</span></th>
			<th width="10%"></th>
		</tr>
		<?php
			$sql=mysqli_query($con, "SELECT * from ajuste_detalle_temp where usuario='$usu_id' and empresa='$empresa'");
			while ($row=mysqli_fetch_array($sql))
			{
			$id=$row["ajud_id"];
			$ajud_id=$row["ajud_id"];
			$ajud_art_id=$row["ajud_art_id"];
			$ajud_referencia=$row['ajud_referencia'];
			$ajud_nombre=$row['ajud_nombre'];
			$ajud_cantidad=$row['ajud_cantidad'];
			$ajud_tipo=$row['ajud_tipo']; 
		?>
		<tr>
			<td><?php echo $ajud_referencia;?></td>
			<td><?php echo $ajud_cantidad;?></td>
			<td><?php echo $ajud_nombre;?></td>
			<td><span class="pull-right"><?php echo $ajud_tipo;?></span></td>
			<td><a data-id="<?php echo $id;?>" class="btn btn-edit btn-xs btn-info"> <i class="btn-icon-only icon-edit"></i></a>
			<a href="#" id="del-<?php echo $row["ajud_id"];?>" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>

			 <?php
			if ($ajud_tipo=='Salida') 
			{

	            $si=0;
	            $no=0;

	            $sqls1=mysqli_query($con,"SELECT *,count(*) as contandor_seriales from  seriales_articulos where articulos_art_id='$ajud_art_id' AND estado='sin vender'");
	            $rows1=mysqli_fetch_array($sqls1);
	           
	            $contador=$rows1['contandor_seriales'];
	            if ($contador>0) 
	            {
	                $sqls2=mysqli_query($con,"SELECT *,count(*) as contandor_seriales_tem from  seriales_ajus_temp where ajuste_detalle_id='$ajud_id'");
		            if (!$sqls2) 
		            {
	    				die("Error en la consulta: " . mysqli_error($con)); // esto te dará más información
					}

					$rows2 = mysqli_fetch_array($sqls2);
					$contador_tem = $rows2['contandor_seriales_tem'];

	                if ($contador_tem==$ajud_cantidad) 
	                {
	                    

	                    $sqls3=mysqli_query($con,"SELECT * from seriales_ajus_temp where ajudt_art_id='$ajud_id'");
	                    while( $rows3=mysqli_fetch_array($sqls3))
	                    {
	                         $ser_codigo=$rows3['ser_aju'];

	                        $sqls4=mysqli_query($con,"SELECT * from seriales_articulos where se_codigo='$ser_codigo' and articulos_art_id='$trat_art_id'");
	                        $rows4=mysqli_fetch_array($sqls4);
	                        if ($rows4>0)
	                        {
	                           
	                            $si+=1;
	                        }
	                        else
	                        {
	                             $no+=1;
	                        }
	                    }
	                }
	                else
	                {
	                    $no+=1;
	                }
	            }
	            else
	            {
	                $si+=1;
	            }

	            if($no>0)
	            {
	                if($negocio_neg_id=='1')
	                {
	                    $can1=mysqli_query($con,"SELECT * FROM seriales_ajus_temp where ajuste_detalle_id='$ajud_id'") or die(mysqli_error($con));
	                    $dat=mysqli_fetch_array($can1);
	                    $result=mysqli_num_rows($can1);
	                    if($result==0)
	                    {  ?>

	                        <a data-id="<?php echo $id;?>" class="btn btn-ser btn-xs btn-warning" title="Serial"><i class="btn-icon-only icon-barcode"></i></a>
	            <?php   } 

	                    else 
	                    { ?>

	                    <a data-id="<?php echo $id;?>" data-toggle="modal" class="btn btn-ser_tabla btn-xs btn-warning" title="Serial"> <i class="btn-icon-only icon-barcode"></i></a>

	            <?php   } 
	                } 
	            }
	            else
	            {
	                if($negocio_neg_id=='1')
	                {
	                    $can1=mysqli_query($con,"SELECT * FROM seriales_ajus_temp where ajuste_detalle_id='$ajud_id'") or die(mysqli_error($con));
	                    $dat=mysqli_fetch_array($can1);
	                    $result=mysqli_num_rows($can1);
	                    if($result==0)
	                    { ?>

	                    <!-- <a data-id="<?php echo $id;?>" class="btn btn-ser btn-xs btn-info" title="Serial"><i class="btn-icon-only icon-barcode"></i></a>-->
	                    <?php 
	                    } 
	                    else 
	                    { ?>
	                        <a data-id="<?php echo $id;?>" data-toggle="modal" class="btn btn-ser_tabla btn-xs btn-default" title="Serial"> <i class="btn-icon-only icon-barcode"></i></a>
	            <?php   } 
	                } 
	            }
        	} 
        	else { 

        			if($negocio_neg_id=='1')
	                {
	                    $can1=mysqli_query($con,"SELECT * FROM seriales_ajus_temp where ajuste_detalle_id='$ajud_id'") or die(mysqli_error($con));
	                    $dat=mysqli_fetch_array($can1);
	                    $result=mysqli_num_rows($can1);
	                    if($result==0)
	                    { ?>

	                    <a data-id="<?php echo $id;?>" class="btn btn-ser_nue btn-xs btn-warning" title="Serial"><i class="btn-icon-only icon-barcode"></i></a>
	                    <?php 
	                    } 
	                    else 
	                    { ?>
	                         <a data-id="<?php echo $id;?>" data-toggle="modal" class="btn btn-ser_tabla btn-xs btn-default" title="Serial"> <i class="btn-icon-only icon-barcode"></i></a>
	            <?php   } 
	                }

 } ?>


			<script>
			$("#del-"+<?php echo $row["ajud_id"];?>).click(function(e){
				e.preventDefault();
				p = confirm("Estas seguro?");
				if(p){
					$.get("./php_ajustes/eliminar.php","ajud_id="+<?php echo $row["ajud_id"];?>,function(data){
						loadTabla();
					});
				}
			});
			</script></td>
		</tr>		
		<?php } ?>
	</table>


<script>
	$(".btn-edit").click(function(){
		id = $(this).data("id");
		$.get("./php_ajustes/form_modificar.php","id="+id,function(data){
			$("#form-edit").html(data);
		});
		$('#editModal').modal('show');
	});
</script>
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
	<div class="modal-dialog">
  		<div class="modal-content">
    		<div class="modal-header">
      			<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
      			<h4 class="modal-title">Actualizar</h4>
    		</div>
    		<div class="modal-body">
    			<div id="form-edit"></div>
    		</div>
  		</div><!-- /.modal-content -->
	</div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<script>
    $(".btn-ser").click(function(){
        id = $(this).data("id");
        $.get("./php_ajustes/form_seriales.php","id="+id,function(data){
            $("#form-serial_aju").html(data);
        });
        $('#reg_ser_aju').modal('show');
    });
</script>


<script>
    $(".btn-ser_tabla").click(function(){
        id = $(this).data("id");
        $.get("./php_ajustes/form_serial_tabla.php","id="+id,function(data){
            $("#form-tabla_serial_ajus").html(data);
        });
        $('#reg_ser_tabla_aju').modal('show');
        
    });
</script>

<script>
    $(".btn-ser_nue").click(function(){
        id = $(this).data("id");
        $.get("./php_ajustes/form_seriales_nuevo.php","id="+id,function(data){
            $("#form-tabla_serial_nue").html(data);
        });
        $('#reg_ser_nue').modal('show');
    });
</script>


